# This Package
This package uses effects made using the Unity particle system.
- R2Modman (Automated)
- Steamapps (Manual)

### Contents:
- 1x Rain effect
- 1x Snow effect
- 1x Ash effect
- 1x Fog effect
- 1x Dust motes effect
- 3x Box collider minis
- 2x Wind minis

### Usage:
![Preview](https://i.imgur.com/Vz4s4Ad.png)
Select Rain from Creatures->Weather

To add collisions:
![Preview](https://i.imgur.com/rVaHXgZ.png)
Select preferred collider mini size from Creatures->Weather

![Preview](https://i.imgur.com/tnV06Gj.png)
Place on ground or roof tiles and set to Hide

![Preview](https://i.imgur.com/DgYwwZi.png)
Final result

For indoor locations, place a large collider on the roof of buildings so rain doesn't fall on the inside.
Example:
![Preview](https://i.imgur.com/tdPHgL3.png)
Visible Collider
![Preview](https://i.imgur.com/TkeaaZL.png)
Hidden Collider

![Preview](https://i.imgur.com/6yJx020.png)
Drop wind minis to add wind.
Rotate as desired and set to hide.
Wind effects stacks with the number and direction of wind minis.

### Screenshots:

![Preview](https://i.imgur.com/SrKRnJD.png)
Snow

![Preview](https://i.imgur.com/5wbMjw7.jpeg)
Ash
(Takes a while to start falling)

![Preview](https://i.imgur.com/mTitDt3.png)
Fog

![Preview](https://i.imgur.com/p5hYAUu.jpeg)
Dust Motes

## Installing via R2ModMan
1. Open up r2modman, select talespire and the profile you want to install this on.
2-a. On Thunderstore you can click on "Install with Mod Manager" and all files and dependencies will be installed.
2-b. On r2modman navigate to Online, find this pack and click Download (Latest). All files and dependencies will be installed.
3. Make sure ThunderMan Plugin is installed on r2modman (should be automatic).

## Install via SteamApps
1. On Thunderstore download the zip via Manual Download
2. Extract the package and navigate into `\TaleSpire_CustomData\Minis\`
3. Copy all the files without extensions and paste them in `..\steamapps\common\TaleSpire\TaleSpire_CustomData\Minis`
4. Make Sure https://talespire.thunderstore.io/package/LordAshes/ExtraAssetsRegistrationPlugin/ is installed to steamapps.

## License:
The models are licensed under https://creativecommons.org/licenses/by-sa/4.0/legalcode
Due to this, the package itself will inherit the same license.

## Changelog
- 1.0.0: First release.
- 1.0.1: Added snow. Slight adjustments to rain.
- 1.0.2: Added ash.
- 1.0.3: Added wind.
- 1.0.4: Added Fog and Dust Motes. Fixed ash size and fallen ash particles sticking to camera.
- 1.0.5: Fixed minor issues with snow and fog.

Disclaimer this package has and will always comply to CC 4.0 license and is not for sale.